﻿@{
    ViewData["Title"] = "Daftar Hari Libur";
}
<section class="section">
    <div class="section-header">
        <h1>Daftar Hari Libur</h1>
        <div class="section-header-breadcrumb">
            <div class="breadcrumb-item"><a href="#">Dashboard</a></div>
            <div class="breadcrumb-item"><a href="#">Elearning</a></div>
            <div class="breadcrumb-item active"><a href="#">Daftar Hari Libur</a></div>
        </div>
    </div>

    <div class="section-body">
        <div class="card">
            <div class="card-header form-row">
                <h4 class="col-md-6">Tabel Hari Libur</h4>
                <div class="col-md-6 text-right">
                    <button type="button" class="btn btn-success btn-flat" onclick="TambahData();"><i class="fa fa-plus"></i> Tambah Data</button>
                    @* <button type="button" class="btn btn-success btn-lg" onclick="GoSetHariLiburUnit();"><i class="fa fa-save"></i> Set Hari Libur Unit</button> *@
                </div>
            </div>
            <div class="card-body">
                <div class="form-row">
                    <div class="col-md-6">
                        <div class="table-responsive">
                            <table id="TabelHariLibur" class="table table-striped table-bordered table-hover nowrap" style="width:100%;">
                                <thead>
                                    <tr>
                                        <th>Aksi</th>
                                        <th>Tanggal</th>
                                        <th>Nama Hari Libur</th>
                                    </tr>
                                </thead>
                                <tfoot>
                                    <tr>
                                        <th>Aksi</th>
                                        <th>Tanggal</th>
                                        <th>Nama Hari Libur</th>
                                    </tr>
                                </tfoot>
                            </table>
                        </div>
                    </div>
                    <div class="col-md-6">
                        <div class="card" style="border:2px;box-shadow:0 0 2px 2px #ff976c;">
                            <div class="card-header text-white" style="min-height:20px;background-color:#ff976c !important">
                                <h5 class="modal-title">Form Hari Libur</h5>
                            </div>
                            <div class="card-body">
                                <form id="FormHariLibur" class="form-horizontal" action="#" enctype="multipart/form-data">
                                    <input type="hidden" class="form-control" id="IdHariLibur" name="IdHariLibur" />
                                    <div class="form-group form-row">
                                        <label class="col-form-label col-sm-4" style="text-align:left;">Tanggal:</label>
                                        <div class="col-sm-8">
                                            <input type="text" class="form-control" data-toggle="datepicker" name="Tanggal" placeholder="- Pilih Tanggal -" readonly />
                                        </div>
                                    </div>
                                    <div class="form-group form-row" id="DivTanggalAkhir">
                                        <label class="col-form-label col-sm-4" style="text-align:left;">Tanggal Akhir:</label>
                                        <div class="col-sm-8">
                                            <input type="text" class="form-control" data-toggle="datepicker" name="TanggalEnd" placeholder="- Pilih Tanggal -" readonly />
                                        </div>
                                    </div>
                                    <div class="form-group form-row">
                                        <label class="col-form-label col-sm-4" style="text-align:left;">Nama Hari Libur:</label>
                                        <div class="col-sm-8">
                                            <input type="text" class="form-control" name="Nama" placeholder="Ketikkan Nama/Judul Hari Libur..." />
                                        </div>
                                    </div>
                                    <div class="form-group">
                                        <div class="form-row">
                                            <div class="col-sm-6"><button type="button" class="btn btn-danger btn-block" onclick="TambahData();"> <i class="fa fa-times"></i> Batal </button></div>
                                            <div class="col-sm-6"><button type="button" id="BtnSaveHariLibur" onClick="SaveData();" class="btn btn-success btn-block"><i class="fa fa-save"></i> Simpan Data</button></div>
                                        </div>
                                    </div>
                                </form>
                            </div>
                        </div>

                    </div>
                </div>
            </div>
        </div>
    </div>

    <div class="section-body">
        <div class="form-row">
            <div class="col-md-6">
                <div class="card">
                    <div class="card-header form-row">
                        <div class="col-md-6">
                            <h4>Tabel Hari Libur Unit</h4>
                        </div>
                    </div>
                    <div class="card-body">
                        <div class="table-responsive">
                            <table id="TabelUnit" class="table table-striped table-bordered table-hover table-striped nowrap" style="width:100%;">
                                <thead>
                                    <tr>
                                        <th>Aksi</th>
                                        <th>Id Unit</th>
                                        <th>Nama Unit</th>
                                    </tr>
                                </thead>
                                <tfoot>
                                    <tr>
                                        <th>Aksi</th>
                                        <th>Id Unit</th>
                                        <th>Nama Role</th>
                                    </tr>
                                </tfoot>
                            </table>
                        </div>
                    </div>
                </div>

            </div>
            <div class="col-md-6">
                <div class="card">
                    <div class="card-header">
                        <h4 id="HeaderBody"></h4>
                    </div>
                    <div class="card-body" id="CardBody">
                        <center id="ImgSearch">
                            <img src="~/assets/img/search.png" width="250px" />
                            <br /><br /><br /><br />
                        </center>
                        <form id="FormSetHariLibur" action="#" method="post" style="display:none;">
                            <input type="hidden" name="IdUnit" />
                            <div class="bootstrap-duallistbox-container form-row moveonselect moveondoubleclick">
                                <div class="box1 col-md-6">
                                    <label class="col-form-label font-weight-bold" id="LabelNoAssign"></label>
                                    <div class="form-group" style="padding-bottom:0;margin-bottom:7px;"><button onClick="PilihSemua();" type="button" class="btn btn-info btn-block"><i class="fa fa-check-double"></i> Pilih Semua</button></div>
                                    <select multiple="multiple" class="form-control ComboSumber" style="height: 222px;">
                                    </select>
                                </div>
                                <div class="box2 col-md-6">
                                    <label class="col-form-label font-weight-bold" id="LabelAssign"></label>
                                    <div class="form-group" style="padding-bottom:0;margin-bottom:7px;"><button onClick="BatalPilihSemua();" type="button" class="btn btn-danger btn-block"><i class="fa fa-times"></i> Batal Pilih Semua</button></div>
                                    <select multiple="multiple" class="form-control ComboTerpilih" style="height: 222px;"></select>
                                </div>
                            </div>
                            <br />
                            <button type="button" id="BtnSave" class="btn btn-success btn-block"><i class="fa fa-save"></i> Simpan Data</button>
                        </form>

                    </div>
                </div>

            </div>
        </div>
    </div>
</section>
